Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server
Class Bootstrapper

    java.lang.Object
      org.neo4j.server.Bootstrapper

Direct Known Subclasses:
  NeoServerBootstrapper

    public abstract class Bootstrapper

extends Object

Field Summary
`static Integer` | `GRAPH_DATABASE_STARTUP_ERROR_CODE`
`static String` | `KEY_LOG4J_CONFIG_XML_PATH`
`static Integer` | `OK`
`static Integer` | `WEB_SERVER_STARTUP_ERROR_CODE`

Constructor Summary
`Bootstrapper()`

Method Summary
`void` | `controlEvent(int arg)`
`protected static File` | `getConfigFile()`
`protected abstract GraphDatabaseFactory` | `getGraphDatabaseFactory(org.apache.commons.configuration.Configuration configuration)`
`protected abstract Iterable<StartupHealthCheckRule>` | `getHealthCheckRules()`
`NeoServerWithEmbeddedWebServer` | `getServer()`
`protected abstract Iterable<Class<? extends ServerModule>>` | `getServerModules()`
`protected boolean` | `isMoreDerivedThan(Bootstrapper other)`
`static Bootstrapper` | `loadMostDerivedBootstrapper()`
`static void` | `main(String[] args)`
`Integer` | `start()`
`Integer` | `start(String[] args)`
`void` | `stop()`
`int` | `stop(int stopArg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OK

    public static final Integer OK

### WEB_SERVER_STARTUP_ERROR_CODE

    public static final Integer WEB_SERVER_STARTUP_ERROR_CODE

### GRAPH_DATABASE_STARTUP_ERROR_CODE

    public static final Integer GRAPH_DATABASE_STARTUP_ERROR_CODE

### KEY_LOG4J_CONFIG_XML_PATH

    public static final String KEY_LOG4J_CONFIG_XML_PATH

See Also:
  Constant Field Values

Constructor Detail

### Bootstrapper

    public Bootstrapper()

Method Detail

### controlEvent

    public void controlEvent(int arg)

### start

    public Integer start()

### start

    public Integer start(String[] args)

### getGraphDatabaseFactory

    protected abstract GraphDatabaseFactory getGraphDatabaseFactory(org.apache.commons.configuration.Configuration configuration)

### getHealthCheckRules

    protected abstract Iterable<StartupHealthCheckRule> getHealthCheckRules()

### getServerModules

    protected abstract Iterable<Class<? extends ServerModule>> getServerModules()

### stop

    public void stop()

### stop

    public int stop(int stopArg)

### getServer

    public NeoServerWithEmbeddedWebServer getServer()

### getConfigFile

    protected static File getConfigFile()

### main

    public static void main(String[] args)

### loadMostDerivedBootstrapper

    public static Bootstrapper loadMostDerivedBootstrapper()

### isMoreDerivedThan

    protected boolean isMoreDerivedThan(Bootstrapper other)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.